Retrieves the list of tenants the logged in user has permissions to access

GET /users/user-tenants

Operation id: UserService_GetUserTenants

Description

Permission Level: Read

Tags: UserService

Parameters

Query parameters

NameTypeRequiredDescription
domainstringNoOptional - restricts the list of tenants to permissions of a particular domain if present
permissionTypestringNoOptional - restricts the list of tenants to permissions of a particular permission type if present
scopestringNoOptional - restricts the list of tenants to permissions of a particular scope if present

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}